package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.api.InteractionI;
import com.avaya.ccs.api.UserI;
import com.avaya.ccs.api.enums.ContactType;
import com.avaya.ccs.api.enums.DestinationType;
import com.avaya.ccs.core.Interaction;
import com.avaya.ccs.javafxrefclient.Logger;

public class GetSkillsetsRequest extends InteractionRequest{

	private static final Logger LOG = Logger.getLogger(GetSkillsetsRequest.class);

	String interactionId;
	
    public GetSkillsetsRequest(String interactionId) {
        super(LOG, interactionId);
        this.interactionId=interactionId;   
    }


	/**
     * The call method executes on the outgoingRequest thread
     *
     * @return
     * @throws Exception
     */
    @Override
    protected Object call() throws Exception {
        String methodName = "call() ";
        LOG.trace(methodName + "+");
        InteractionI interaction= getInteraction();
        interaction.getSkillsets();
        LOG.trace(methodName + "-");
        return null;
    }
	
}
